- Qt 5.15
- Qt Serial Port
- C++ Classes
- QSerialPortInfo
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QSerialPortInfo

The following members of class QSerialPortInfo are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` bool | isBusy() const
`(obsolete)` bool | isValid() const

## Member Function Documentation

### bool QSerialPortInfo::isBusy() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns `true` if serial port is busy; otherwise returns `false`.

See also isNull().

### bool QSerialPortInfo::isValid() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns `true` if serial port is present on system; otherwise returns `false`.

See also isNull() and isBusy().